const validOptions = ['NO ACTION', 'RESTRICT', 'CASCADE', 'SET NULL', 'SET DEFAULT'];
export default function checkAndReturnRelationshipOnValue(onValue, generator) {
    let result = onValue;
    if (result) {
        if (!validOptions.includes(result)) {
            generator.log.warn(`Invalid value '${result}' for onDelete or onUpdate - resetting to undefined.`);
            result = undefined;
        }
    }
    return result;
}
